[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetFloating

Determines whether the control is floating.

## Declaration

Source position: controls.pp line 1461

`protected function TControl.GetFloating: Boolean; virtual;`

## Function result

True if HostDockSite is a floating dock site with 0 0r 1 docked clients.

## Description

Floating state is assumed when the control has a HostDockSite using the FloatingDockSiteClass type, and 0 or 1 docked clients.